jQuery(document).ready(function($) {
    // Open modal
    $('#openModalBtn').on('click', function() {
         var make = $('#vehicle_make').val() || '';
    var year = $('#vehicle_year').val() || '';
    var model = $('#vehicle_model').val() || '';
    if (year && make && model) {
        extra = year + ' ' + make + ' ' + model;
    } else if (make) {
        extra = make;
    } else if (year) {
        extra = year;
    }else if (model) {
        extra = model;
    }

    $('#vehicleInput').val(extra);
         //var defaultValue = $('#vehicleInput').data('default') || '';
   // $('#vehicleInput').val(defaultValue);
        $('#myModal').css('display', 'flex');
    });
    // Close modal (button)
    $('#closeModalBtn').on('click', function() {
        $('#myModal').hide();
        $('#descriptionResult').html('');
        $('#vehicleInput').val('');
    });
    // Close modal (click outside content)
    $('#myModal').on('click', function(e) {
        if (e.target === this) {
            $(this).hide();
           /* $('#descriptionResult').html('');
            var defaultValue = $('#vehicleInput').data('default') || '';
    $('#vehicleInput').val(defaultValue);*/
      $('#descriptionResult').html('');
        $('#vehicleInput').val('');
        }
    });
   // Generate Description AJAX
    $('#generateBtn').on('click', function() {
        var vehicleInfo = $('#vehicleInput').val().trim();
        if (!vehicleInfo) {
            $('#descriptionResult').html("<span style='color:red;'>Please enter vehicle info.</span>");
            $('#useDescriptionBtn').hide();
            return;
        }
        $('#descriptionResult').html("Generating description...");
        $('#useDescriptionBtn').hide();

        $.ajax({
            url: vdai_ajax_obj.ajax_url,
            type: 'POST',
            data: {
                action: 'vdai_generate_description',
                vehicle_info: vehicleInfo,
                _ajax_nonce: vdai_ajax_obj.nonce
            },
            success: function(response) {
                if (response.success) {
                    // Store plain text in a data attribute for easier access
                    $('#descriptionResult').html("<strong>Description:</strong><br><span id='desc-output'>" + $('<div>').text(response.data.description).html() + "</span>");
                    $('#useDescriptionBtn').show();
                } else {
                    $('#descriptionResult').html("<span style='color:red;'>" + (response.data.message || 'Error') + "</span>");
                    $('#useDescriptionBtn').hide();
                }
            },
            error: function() {
                $('#descriptionResult').html("<span style='color:red;'>AJAX error.</span>");
                $('#useDescriptionBtn').hide();
            }
        });
    });

    // Use Description Button
   $('#useDescriptionBtn').on('click', function() { 
    var desc = $('#desc-output').text();
    var $textarea = $('#car_description');
    var tmce = (typeof tinymce !== "undefined") ? tinymce.get('car_description') : null;

    // Always update the textarea
    if ($textarea.length) {
        $textarea.val(desc);
    }

    // Only add TinyMCE if not already initialized
    if (typeof tinymce !== "undefined" && !tmce) {
        tinymce.execCommand('mceAddEditor', true, 'car_description');
        setTimeout(function() {
            var tmce2 = tinymce.get('car_description');
            if (tmce2) {
                tmce2.setContent(desc);
                tmce2.save();
            }
        }, 300); // Only initialize and set content once
    } else if (tmce) {
        // If already initialized, just update content
        tmce.setContent(desc);
        tmce.save();
    }

    // Optionally close modal & reset
    $('#myModal').hide();
    $('#descriptionResult').html('');
    $('#vehicleInput').val('');
    $('#useDescriptionBtn').hide();
  });
});
